%define debug_package %{nil}

%if 0%{?fedora} || 0%{?centos} == 7
%global         with_python3 1
%else
%global         with_python3 0
%endif

Name:		libsigscan
Version:	20190103
Release:	3%{?dist}
Summary:	Library for binary signature scanning
Group:		System Environment/Libraries
License:	LGPL
Source:		%{name}-experimental-%{version}.tar.gz
URL:		https://github.com/libyal/libsigscan/wiki
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  autoconf automake pkgconfig gettext-devel libtool gcc
           
%description
libsigscan is a library for binary signature scanning

%package devel
Summary: Header files and libraries for developing applications for libsigscan
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Header files and libraries for developing applications for libsigscan.

%package tools
Summary: Several tools for binary signature scanning files
Group: Applications/System
Requires: %{name} = %{version}-%{release} 

%description tools
Several tools for binary signature scanning files

%package python2
Summary: Python 2 bindings for libsigscan
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release} python
BuildRequires: %(basename %{__python})-devel
Obsoletes: %{name}-python
Provides: %{name}-python = %{version}

%description python2
Python bindings for libsigscan

%if 0%{?with_python3}
%package python3
Summary: Python 3 bindings for libsigscan
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release} python3
%if 0%{?centos} >= 7
BuildRequires:  python36-devel
%else
BuildRequires:  python3-devel
%endif

%description python3
Python 3 bindings for libsigscan
%endif

%prep
%setup -q

%build
if [ -f synclibs.sh ]; then sh synclibs.sh; fi
if [ -f autogen.sh  ]; then sh autogen.sh;  fi
%if 0%{?with_python3}
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir} --enable-python2 --enable-python3
%else
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir} --enable-python
%endif
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%make_install

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_libdir}/*.so.*

%files devel
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README ChangeLog
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/*
%{_mandir}/man3/*

%files tools
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_bindir}/sigscan
%{_mandir}/man1/*
%config %{_sysconfdir}/sigscan.conf

%files python2
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%{_libdir}/python2*/site-packages/*.a
%{_libdir}/python2*/site-packages/*.la
%{_libdir}/python2*/site-packages/*.so

%if 0%{?with_python3}
%files python3
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%{_libdir}/python3*/site-packages/*.a
%{_libdir}/python3*/site-packages/*.la
%{_libdir}/python3*/site-packages/*.so
%endif

%changelog
* Tue Apr  9 2019 Lawrence R. Rogers <lrr@cert.org> - libsigscan-3
* Release libsigscan-3
        Release 3 - Rebuilt for Python 3.6 for CentOS/RHEL 7

* Mon Jan 28 2019 Lawrence R. Rogers <lrr@cert.org> libsigscan-2
* Release libsigscan-2
        Version as of libsigscan
	-python packages renamed to -python2

* Thu Jan  3 2019  Lawrence R. Rogers <lrr@cert.org> 20190103-1
* Release 20190103-1
	Version 20190103.

* Sat Dec 15 2018  Lawrence R. Rogers <lrr@cert.org> 20181215-1
* Release 20181215-1
	Version 20181215.

* Tue Jan 24 2017 Lawrence R. Rogers <lrr@cert.org> 20170124-1
* Release 20170124-1
	Version 20170124.

* Sat Mar 12 2016 Lawrence R. Rogers <lrr@cert.org> 20160312-1
* Release 20160312-1
	20160312
	* fixed bug in scan tree initialization
	* applied updates

	20160109
	* fixes for rpmbuild

* Fri Jan  8 2016 Lawrence R. Rogers <lrr@cert.org> 20151205-1
* Release 20160108-1
	20160108
	* worked on Python 3 support

	20160105
	* 2016 update

	20151221
	* applied updates

* Sun Dec  5 2015 Lawrence R. Rogers <lrr@cert.org> 20151205-1
* Release 20151205-1
	Version 20151205

* Tue Jul 14 2015 Lawrence R. Rogers <lrr@cert.org> 20150714-1
* Release 20150714-1
	20150714
	* bug fixes

	20150617
	* worked on Python bindings

	20150204
	* fixes in sigscan.conf
	* added sigscan.conf to dpkf/rules file

* Wed Jun  3 2015 Lawrence R. Rogers <lrr@cert.org> 20150125-2
* Release 20150125-2
	Libuna GCC-5 Patch

* Wed Feb  4 2015 Joachim Metz <joachim.metz@gmail.com> 20150125-1
- Auto-generated

